# Class TagEntry

#### Implements

- AbstractTagEntry

- Defined in packages/saltcorn-data/models/tag_entry.ts:5
- Defined in packages/saltcorn-data/models/tag_entry.ts:75

##### Index

### Constructors

constructor

### Properties

id?
page_id?
table_id?
tag_id?
trigger_id?
view_id?

### Methods

delete
isEmpty
create
find
findOne
update

## Constructors

### constructor

- new TagEntry(o: TagEntry | Partial<TagEntry>): TagEntry

  #### Parameters

  - o: TagEntry | Partial<TagEntry>

  #### Returns TagEntry

  - Defined in packages/saltcorn-data/models/tag_entry.ts:13

## Properties

### `Optional` id

id?: number

Implementation of AbstractTagEntry.id

- Defined in packages/saltcorn-data/models/tag_entry.ts:6

### `Optional` page_id

page_id?: number

Implementation of AbstractTagEntry.page_id

- Defined in packages/saltcorn-data/models/tag_entry.ts:10

### `Optional` table_id

table_id?: number

Implementation of AbstractTagEntry.table_id

- Defined in packages/saltcorn-data/models/tag_entry.ts:8

### `Optional` tag_id

tag_id?: number

Implementation of AbstractTagEntry.tag_id

- Defined in packages/saltcorn-data/models/tag_entry.ts:7

### `Optional` trigger_id

trigger_id?: number

Implementation of AbstractTagEntry.trigger_id

- Defined in packages/saltcorn-data/models/tag_entry.ts:11

### `Optional` view_id

view_id?: number

Implementation of AbstractTagEntry.view_id

- Defined in packages/saltcorn-data/models/tag_entry.ts:9

## Methods

### delete

- delete(): Promise<void>

  #### Returns Promise<void>

  - Defined in packages/saltcorn-data/models/tag_entry.ts:66

### isEmpty

- isEmpty(): boolean

  #### Returns boolean

  - Defined in packages/saltcorn-data/models/tag_entry.ts:70

### `Static` create

- create(cfg: TagEntryCfg): Promise<TagEntry>

  #### Parameters

  - cfg: TagEntryCfg

  #### Returns Promise<TagEntry>

  - Defined in packages/saltcorn-data/models/tag_entry.ts:40

### `Static` find

- find(where?: Where, selectopts?: SelectOptions): Promise<TagEntry[]>

  #### Parameters

  - `Optional` where: Where
  - selectopts: SelectOptions = {}

  #### Returns Promise<TagEntry[]>

  - Defined in packages/saltcorn-data/models/tag_entry.ts:22

### `Static` findOne

- findOne(where: Where): Promise<TagEntry>

  #### Parameters

  - where: Where

  #### Returns Promise<TagEntry>

  - Defined in packages/saltcorn-data/models/tag_entry.ts:31

### `Static` update

- update(id: number, row: Row): Promise<void>

  #### Parameters

  - id: number
  - row: Row

  #### Returns Promise<void>

  - Defined in packages/saltcorn-data/models/tag_entry.ts:62